const MULTIPLE_CHOICE = 0;
const CHECK_BOXES_WITH_FREE_ENTRY = 1;
const SCALE = 2;
const FREE_ENTRY = 3;
const CHECK_BOXES = 4;

exports.surveyInfo = {
  surveyId: "Beta_feature_Survey",
  surveyName: "New Features of the Firefox 4 Beta",
  summary: "This survey will help us build a better understanding of "
    + "how these new features are used and adopted. This survey doesn't "
    + "contain any personally identifiable questions.",
  thumbnail: "",
  surveyExplanation: "<p>Thank you for joining the Firefox 4 Beta Program!</p> \
<p>Please help us build a better understanding on how these new features are used and adopted.\
This survey doesn't contain any personally identifiable questions. \
Thank you for your time!</p>",
  thumbnail: "https://testpilot.mozillalabs.com/testcases/pilot-survey-thumbnail.png",
  minTPVersion: "1.0a1",
  versionNumber: 1,
  uploadWithExperiment: 101,
  surveyQuestions:  [
   { question: "Have you used the new Firefox feature, Panorama (formerly known as Tab Candy)?",
     type: MULTIPLE_CHOICE,
     choices: ["Yes","No","Not sure what Panorama is"]},
  { question: "If you have used Firefox Panorama, how likely are you to recommend it to your friends? ",
    type: SCALE,
    scale_minimum: 1,
    scale_maximum: 5,
    min_label: "Very unlikely",
    max_label: "Very likely"},
  { question: "If you have used Firefox Panorama, how useful is it to your browsing experience?",
    type: SCALE,
    scale_minimum: 1,
    scale_maximum: 5,
    min_label: "Not very useful to me",
    max_label: "Very useful to me"},
  {question:"If you have used Firefox Panorama, how many tab groups do you have at this moment?",
   type: FREE_ENTRY},
   { question: "Did you know there was a keyboard shortcut for using Panorama?",
     type: MULTIPLE_CHOICE,
     choices: ["Yes","No"]},
 {question:"Describe how you use Panorama (optional).",
  type: FREE_ENTRY},
   { question: "Have you used Firefox Sync?",
     type: MULTIPLE_CHOICE,
     choices: ["Yes","No","Not sure what Sync is"]},
  { question: "If you have used Firefox Sync, how likely are you to recommend it to your friends? ",
    type: SCALE,
    scale_minimum: 1,
    scale_maximum: 5,
    min_label: "Very unlikely",
    max_label: "Very likely"},
  { question: "If you have used Firefox Sync, how easy/hard is the setup process? ",
    type: SCALE,
    scale_minimum: 1,
    scale_maximum: 5,
    min_label: "Very difficult",
    max_label: "Very easy"},
   { question: "If you are using Firefox Sync, what do you use it for (please choose all that apply)?",
     type: CHECK_BOXES_WITH_FREE_ENTRY,
     choices: ["Sync my data among computers","Sync my data between computers and mobile device","Sync my data to the server as a way to back it up ","As a way to reduce my effort of remembering passwords"],
     free_entry: "Other" },
  { question: "If you use Firefox Sync, do you know what the Sync Key is used for? ",
    type: MULTIPLE_CHOICE,
    choices: ["No, i don't know.",
	      "I have a vague idea.",
              "Yes, i know exactly what it is used for."]},
 {question:"If you use Firefox Sync, what do you like most about it?",
  type: FREE_ENTRY},
  { question: "Have you used Firefox Home? ",
    type: MULTIPLE_CHOICE,
    choices: ["Yes",
	      "No, but I have heard about it.",
              "No, I have not even heard about it."]},

   { question: "Have you used App Tabs?",
     type: MULTIPLE_CHOICE,
     choices: ["Yes","No","Not sure what App Tabs are"]},
  { question: "If you have used Firefox App Tabs, how likely are you to recommend it to your friends? ",
    type: SCALE,
    scale_minimum: 1,
    scale_maximum: 5,
    min_label: "Very unlikely",
    max_label: "Very likely"},
   {question:"If you use App Tabs, how many do you have on this computer?",
    type: FREE_ENTRY},
   { question: "If you use App Tabs, what tabs have you made into app tabs? ",
     type: CHECK_BOXES_WITH_FREE_ENTRY,
     choices: ["Webmail (e.g. Gmail, Yahoo! Mail)","Social networks (e.g. Facebook, Twitter)","Music player (e.g.Pandora, last.fm)","Online tools (e.g. Dictionary, Translate)", "Personal sites or blog", "Work related sites", "News sites"],
     free_entry: "Other" },
   { question: "How did you learn how to use these new features (please choose all that apply)?",
     type: CHECK_BOXES_WITH_FREE_ENTRY,
     choices: ["I learned it through the video explanation","I figured it out on my own by playing around with it","I learned it from Mozilla blogs","I used Mozilla user support", "I learned how to use them from other people"],
     free_entry: "Other" }
  ]
};
